nameOverride: ""  # ! TODO: update to your player name (otherwise templated default is loaded: see Chart.name)
fullnameOverride: ""
replicas: 1
clusterDomain: cluster.local

image:
  registry: "registry.gitlab.com/the-microservice-dungeon/devops-team/msd-image-registry"
  name: "player-skeleton-python"  # ! TODO: change this to your image name
  # set for specific version, if not set, value is Chart.version
  tag: latest
  pullPolicy: Always


serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

service:
  my:
    portName: http
    port: 8080 # ! TODO: change container port, this port is for access across services (and ingress)
    targetPort: 8999 # ! TODO: change target port to port your application/service runs on
    protocol: TCP
    type: ClusterIP

  lb:
    enabled: true
    port: 31090 # same as lbPort
    targetPort: 8080 # same as service.ports.port
    lbPort: 31090
    protocol: TCP
    type: LoadBalancer

ingress:
  enabled: false  # ! TODO: enable if needed, on local set this to false and use loadbalancer service.lb
  classname: nginx
  hosts:
    hostname: player-skeleton-python.msd.dungeon-space.de  # ! TODO: change this to your ingress hostname, if you need one
    path: /
    pathType: Prefix


# ! TODO: readiness Probe remove '{}' and uncomment, if you use an health check endpoint
readinessProbe: {}
#  httpGet:
#    path: /actuator/health # ! TODO: change to health check endpoint
#    port: http
#  initialDelaySeconds: 10
#  periodSeconds: 10
#  failureThreshold: 3
#  successThreshold: 1

# ! TODO: liveness Probe remove '{}' and uncomment, if you use an health check endpoint
livenessProbe: {}
#  httpGet:
#    path: /actuator/health # ! TODO: change to health check endpoint
#    port: http
#  initialDelaySeconds: 40
#  periodSeconds: 10
#  failureThreshold: 3
#  successThreshold: 1

# ! TODO: tweak resources to your needs
# CPU 1 = 1000m / `m` means Milli / a thousand of CPU
resources:
  requests:
    memory: "128Mi"
    cpu: "100m"
  limits:
    memory: "1G"
    cpu: "2000m"

# temp volume for logs
logVol:
  name: logs-volume
  mountPath: /app/logs
  sizeLimit: 500Mi


configmap:
  data:
    RABBITMQ_HOST: "rabbitmq.rabbitmq.svc.{{ .Values.clusterDomain }}"
    RABBITMQ_PORT: "5672"
    RABBITMQ_USERNAME: "admin"
    RABBITMQ_PASSWORD: "admin"
    GAME_HOST: "game.game.svc.{{ .Values.clusterDomain }}"
    GAME_PORT: "8080"

env:
  # ! TODO: substitute with correct player name
  PLAYER_NAME: "player-skeleton-python"
  # ! TODO: substitute with correct player email
  PLAYER_EMAIL: "player-skeleton-python@msd.com"
  DEV: "false"
  LOG_LEVEL: "INFO"
  # ! TODO: Change to same as service.my.targetPort
  DATA_ENDPOINT_PORT: "8090"

